#!/bin/bash

if [ ! -d data ] ; then
    mkdir data || exit 1
fi
if [ ! -f data/sapi.msi ] ; then
    if ! which wget >/dev/null 2>/dev/null; then
        echo "Package wget not installed"
        exit 1
    fi
    wget -O data/sapi.msi http://open-sapi.googlecode.com/files/sapi.msi || exit 1
fi
if [ ! -d pydir ] ; then
    if ! which p7zip >/dev/null 2>/dev/null; then
        echo "Package p7zip not installed"
        exit 1
    fi
    if [ ! -f python_minimal.7z ] ; then
        wget -O python_minimal.7z https://sites.google.com/site/basiclabbook3/python_27_standalone_minimal_v_1_r_2011_07_01.7z || exit 1
    fi
    p7zip -d python_minimal.7z || exit 1
    mv python_27_standalone_minimal_v_1_r_2011_07_01 pydir || exit 1
fi
if [ ! -f pydir/Lib/site-packages/pythoncom.py ] ; then
    if ! which unzip >/dev/null 2>/dev/null; then
        echo "Package unzip not installed"
        exit 1
    fi

    if [ ! -f pywin.exe ] ; then
        wget -O pywin.exe http://sourceforge.net/projects/pywin32/files/pywin32/Build%20218/pywin32-218.win32-py2.7.exe || exit 1
    fi
    if [ -d temp ] ; then
        rm -rf temp || exit 1
    fi
    mkdir temp || exit 1
    cd temp
    unzip -qq ../pywin.exe
    cd ..
    mv temp/PLATLIB/* pydir/Lib/site-packages
    rm -rf temp
fi
if [ ! -f pydir/win32api.pyd ] ; then
    find pydir/Lib -name "win32*pyd" -exec cp '{}' pydir ';'
fi

if [ ! -f pydir/pythoncom27.dll ] ; then
    find pydir/Lib -name "py*27.dll" -exec cp '{}' pydir ';'
fi

if [ ! -f pydir/Lib/xml/__init__.py ] ; then
    mkdir -p pydir/Lib/xml
    echo >pydir/Lib/xml/__init__.py
fi
if [ ! -f pydir/Lib/xml/parsers/__init__.py ] ; then
    mkdir -p pydir/Lib/xml/parsers
    echo >pydir/Lib/xml/parsers/__init__.py
fi

if [ ! -f pydir/Lib/xml/parsers/expat.py ] ; then
    mkdir -p pydir/Lib/xml/parsers
    cat >pydir/Lib/xml/parsers/expat.py <<END
"""Interface to the Expat non-validating XML parser."""
__version__ = '$Revision: 17640 $'

from pyexpat import *
END
fi

if [ ! -f pydir/Lib/pywinauto/__init__.py ] ; then
    if [ ! -f pywinauto.zip ] ; then
        wget -O pywinauto.zip http://downloads.sourceforge.net/project/pywinauto/pywinauto/0.4.0/pywinauto-0.4.0.zip || exit 1
    fi
    rm -rf temp_wa
    mkdir temp_wa
    cd temp_wa
    unzip ../pywinauto.zip
    cd ..
    mv temp_wa/pywinauto-0.4.0/pywinauto pydir/Lib/
    rm -rf temp_wa
fi


exit 0

